//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      Device/Coord/Axes.h
//! @brief     Defines enum Axis::Units.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_DEVICE_UNIT_AXES_H
#define BORNAGAIN_DEVICE_UNIT_AXES_H

//! Wrapper around enum, required for clean Swig interface.
//! Swig will expose Axes.UNDEFINED etc, i.e. "Coords" will be omitted.
//! @ingroup detector

class Axes {
public:
    enum Coords { UNDEFINED, NBINS, RADIANS, DEGREES, MM, QSPACE, QXQY, RQ4 };
};

#endif // BORNAGAIN_DEVICE_UNIT_AXES_H
