//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Application/Application.h
//! @brief     Defines class Application
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2021
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_APPLICATION_APPLICATION_H
#define BORNAGAIN_GUI_APPLICATION_APPLICATION_H

#include "ApplicationSettings.h"
#include <QApplication>

//! Provides access to application wide stuff like settings.

class Application : public QApplication {
public:
    Application(int& argc, char** argv);

    ApplicationSettings& settings();

private:
    ApplicationSettings m_settings;
};

#define baApp (static_cast<Application*>(qApp))

#endif // BORNAGAIN_GUI_APPLICATION_APPLICATION_H
