//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Application/ApplicationSettings.h
//! @brief     Defines class ApplicationSettings
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2021
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_APPLICATION_APPLICATIONSETTINGS_H
#define BORNAGAIN_GUI_APPLICATION_APPLICATIONSETTINGS_H

//! Application wide settings.
//! Contains settings which the user can change. Also
//! contains settings which may be user editable in the future.

class ApplicationSettings {
public:
    bool useNativeFileDialog() const;
};

#endif // BORNAGAIN_GUI_APPLICATION_APPLICATIONSETTINGS_H
