//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Models/LayerItem.h
//! @brief     Defines class LayerItem
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_MODELS_LAYERITEM_H
#define BORNAGAIN_GUI_MODELS_LAYERITEM_H

#include "GUI/Models/SessionGraphicsItem.h"

class BA_CORE_API_ LayerItem : public SessionGraphicsItem {
private:
    static const QString P_THICKNESS;

public:
    static const QString P_ROUGHNESS;
    static const QString P_MATERIAL;
    static const QString P_NSLICES;
    static const QString T_LAYOUTS;

    static const QString M_TYPE;

    LayerItem();

    QVector<SessionItem*> materialPropertyItems();

    double thickness() const;
    void setThickness(double thickness);
    SessionItem* thicknessItem() const;
    static bool isThicknessPropertyName(const QString& name);

private:
    void updateAppearance(SessionItem* new_parent);
};

#endif // BORNAGAIN_GUI_MODELS_LAYERITEM_H
