//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Models/SampleModel.cpp
//! @brief     Implements class SampleModel
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#include "GUI/Models/SampleModel.h"
#include "GUI/Models/MultiLayerItem.h"

SampleModel::SampleModel(QObject* parent) : SessionModel(GUI::Session::XML::SampleModelTag, parent)
{
    setObjectName(GUI::Session::XML::SampleModelTag);
}

SampleModel* SampleModel::createCopy(SessionItem* parent)
{
    SampleModel* result = new SampleModel();
    result->initFrom(this, parent);
    return result;
}

MultiLayerItem* SampleModel::multiLayerItem()
{
    return topItem<MultiLayerItem>();
}
