//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Views/MaterialEditor/MaterialItemUtils.h
//! @brief     Defines namespace GUI::View::MaterialItemUtils
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEWS_MATERIALEDITOR_MATERIALEDITORUTILS_H
#define BORNAGAIN_GUI_VIEWS_MATERIALEDITOR_MATERIALEDITORUTILS_H

#include "GUI/Models/ExternalProperty.h"

namespace GUI::View::MaterialEditorUtils {

//! Calls material selector dialog.
ExternalProperty selectMaterialProperty(const ExternalProperty& previous = ExternalProperty());

//! Calls color selector dialog.
ExternalProperty selectColorProperty(const ExternalProperty& previous = ExternalProperty());

} // namespace GUI::View::MaterialEditorUtils

#endif // BORNAGAIN_GUI_VIEWS_MATERIALEDITOR_MATERIALEDITORUTILS_H
