//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Views/SampleDesigner/ParticleCoreShellView.h
//! @brief     Defines class ParticleCoreShellView
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEWS_SAMPLEDESIGNER_PARTICLECORESHELLVIEW_H
#define BORNAGAIN_GUI_VIEWS_SAMPLEDESIGNER_PARTICLECORESHELLVIEW_H

#include "GUI/Views/SampleDesigner/ConnectableView.h"

//! Class representing view of Particle item
class ParticleCoreShellView : public ConnectableView {
    Q_OBJECT

public:
    ParticleCoreShellView(QGraphicsItem* parent = 0);

    int type() const { return GUI::View::Types::PARTICLE; }

    void addView(IView* childView, int row = 0);
};

#endif // BORNAGAIN_GUI_VIEWS_SAMPLEDESIGNER_PARTICLECORESHELLVIEW_H
