//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/mainwindow/ProjectManagerStore.h
//! @brief     Defines namespace GUI::Project::Manager
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_MAINWINDOW_PROJECTMANAGERSTORE_H
#define BORNAGAIN_GUI_MAINWINDOW_PROJECTMANAGERSTORE_H

class ProjectManager;

//! The ProjectManagerStore holds an instance of the ProjectManager class

namespace GUI::Project::Manager {

ProjectManager* projectManager();
void subscribe(ProjectManager* projectManager);
void unsubscribe(ProjectManager* projectManager);

} // namespace GUI::Project::Manager

#endif // BORNAGAIN_GUI_MAINWINDOW_PROJECTMANAGERSTORE_H
