//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      Sample/Processed/MaterialSlicer.h
//! @brief     Defines function SampleUtils::Preprocessor::averageSlices
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifdef SWIG
#error no need to expose this header to Swig
#endif

#ifndef USER_API
#ifndef BORNAGAIN_SAMPLE_PROCESSED_MATERIALSLICER_H
#define BORNAGAIN_SAMPLE_PROCESSED_MATERIALSLICER_H

#include <map>
#include <vector>

struct HomogeneousRegion;
class SliceStack;

namespace SampleUtils::Preprocessor {

SliceStack averageSlices(const SliceStack& slices,
                         const std::map<size_t, std::vector<HomogeneousRegion>>& region_map);

} // namespace SampleUtils::Preprocessor

#endif // BORNAGAIN_SAMPLE_PROCESSED_MATERIALSLICER_H
#endif // USER_API
