//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      Sample/Processed/ParticleRegions.h
//! @brief     Defines function SampleUtils::Preprocessor::particleRegions.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifdef SWIG
#error no need to expose this header to Swig
#endif

#ifndef USER_API
#ifndef BORNAGAIN_SAMPLE_PROCESSED_PARTICLEREGIONS_H
#define BORNAGAIN_SAMPLE_PROCESSED_PARTICLEREGIONS_H

#include <vector>

class MultiLayer;
class ZLimits;

namespace SampleUtils::Preprocessor {

std::vector<ZLimits> particleRegions(const MultiLayer& multilayer, bool use_slicing);

} // namespace SampleUtils::Preprocessor


#endif // BORNAGAIN_SAMPLE_PROCESSED_PARTICLEREGIONS_H
#endif // USER_API
