#include "GUI/Models/ApplicationModels.h"
#include "GUI/Models/ExternalProperty.h"
#include "GUI/Models/LayerItem.h"
#include "GUI/Models/MaterialItem.h"
#include "GUI/Models/MaterialModel.h"
#include "GUI/Models/SampleModel.h"
#include "Tests/GTestWrapper/google_test.h"

class TestLayerItems : public ::testing::Test {
};

//! Checking default material of the layer.

TEST_F(TestLayerItems, test_LayerDefaultMaterial)
{
    ApplicationModels models;
    auto layer = models.sampleModel()->insertItem<LayerItem>();
    auto materials = models.materialModel()->topItems<MaterialItem>();
    auto defMaterial = materials.front();

    ExternalProperty material =
        layer->getItemValue(LayerItem::P_MATERIAL).value<ExternalProperty>();
    EXPECT_EQ(material.text(), "Default");
    EXPECT_EQ(material.identifier(), defMaterial->identifier());
}
